SQLite 缓冲区错误漏洞 CVE-2020-15358 CNNVD-202006-1768

2.1 AV AC AU C I A
发布: 2020-06-27
修订: 2021-09-22

SQLite是美国D.Richard Hipp软件开发者的一套基于C语言的开源嵌入式关系数据库管理系统。该系统具有独立性、隔离性、跨平台等特点。 SQLite 3.32.3之前版本中的multiSelectOrderBy存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

0%
当前有15条漏洞利用/PoC
当前有16条受影响产品信息